import './bootstrap';
import '../css/app.scss';
import { createInertiaApp, ResolvedComponent } from '@inertiajs/svelte';
import { hydrate, mount } from 'svelte';

await createInertiaApp({
	resolve: (name) => {
		const pages = import.meta.glob<ResolvedComponent>('./Pages/**/*.svelte', { eager: true });
		return pages[`./Pages/${name}.svelte`];
	},
	setup({ el, App, props }) {
		if (el?.dataset.serverRendered === 'true') {
			hydrate(App, { target: <HTMLElement>el, props });
		} else {
			mount(App, { target: <HTMLElement>el, props });
		}
	}
});
